BugTraq
High Risk Vulnerability in HTML Help (ITSS Parser) Jun 15 2005 09:34AM
NGSSoftware Insight Security Research (nisr nextgenss com)
Peter Winter-Smith of NGSSoftware has discovered a high risk vulnerability
in one of the dependencies of HTML Help, the InfoTech Storage System parser.
This flaw can permit arbitrary code execution through a number of
applications including HTML Help, Internet Explorer and Outlook/Outlook
Express when parsing certain file-types.

Research has proven this vulnerability to be trivially exploitable on
Windows XP SP2 despite certain inbuild protective mechanisms which XPSP2
includes.

This issue has been resolved in the Microsoft bulletin MS05-026, which may
be downloaded from:

http://www.microsoft.com/technet/security/Bulletin/MS05-026.mspx

NGSSoftware are going to withhold details of this flaw for three months.
Full details will be published on the 15th September 2005. This three month
window will allow users of Microsoft Windows the time needed to apply the
patch before the details are released to the general public. This reflects
NGSSoftware's approach to responsible disclosure.

NGSSoftware Insight Security Research
http://www.ngssoftware.com
http://www.databasesecurity.com/
http://www.nextgenss.com/
+44(0)208 401 0070

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus